{ config, pkgs }:

with pkgs.lib;
{
  options.services.shoko-cli = {
    enable = mkOption {
      type = types.bool;
      default = true;
      example = false;
      description = "";
    };
  };

  config = {
    systemd.services.shoko-cli = mkIf config.services.shoko-cli.enable {
      wantedBy = [ "multi-user.target" ];
      unitConfig = {
        Description = "The All-in-One Cross-Platform Anime Management System Built For You";
        After = [ "network-online.target" ];
      };
      serviceConfig = {
        ExecStart = "${pkgs.callPackage ./cli.nix { }}/bin/Shoko.CLI";
        Restart = "always";
        Type = "simple";
      };
    };
  };
}
